package domain

type AlibabaHmMarketingItemdiscountAdditemCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步的渠道配置     */
	ChannelConfigList *[]AlibabaHmMarketingItemdiscountAdditemChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaHmMarketingItemdiscountAdditemCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingItemdiscountAdditemCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountAdditemCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingItemdiscountAdditemCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountAdditemCommonActivityParam) SetByChannel(v bool) *AlibabaHmMarketingItemdiscountAdditemCommonActivityParam {
	s.ByChannel = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountAdditemCommonActivityParam) SetChannelConfigList(v []AlibabaHmMarketingItemdiscountAdditemChannelConfig) *AlibabaHmMarketingItemdiscountAdditemCommonActivityParam {
	s.ChannelConfigList = &v
	return s
}
